#ifndef _CXXINSTANCIATE_H_
#define _CXXINSTANCIATE_H_

#include "Sample.C"
#include "Signal.C"
#include "IOModule.C"
#include "Constant.C"
#include "Delay.C"

#endif

#ifdef _INSTANCIATE_TYPE_


#if defined(_XINTERFACE_INSTANCIATE_)

#include "XInterface.C"
#pragma define_template plug<_INSTANCIATE_TYPE_>

#elif defined(_PROTOSIM_INSTANCIATE_)

#include "ProtoSim.C"
#pragma define_template plug<_INSTANCIATE_TYPE_>

#else

#pragma define_template Sample<_INSTANCIATE_TYPE_>
#pragma define_template operator<<<_INSTANCIATE_TYPE_>
#pragma define_template operator>><_INSTANCIATE_TYPE_>

#pragma define_template Signal<_INSTANCIATE_TYPE_>
#pragma define_template InSignal<_INSTANCIATE_TYPE_>
#pragma define_template OutSignal<_INSTANCIATE_TYPE_>

#pragma define_template InputModule<_INSTANCIATE_TYPE_>
#pragma define_template OutputModule<_INSTANCIATE_TYPE_>

#pragma define_template Constant<_INSTANCIATE_TYPE_>

#pragma define_template Delay<_INSTANCIATE_TYPE_>

#endif

#undef _INSTANCIATE_TYPE_
#endif
