#ifndef _CLASS_SBOOLEAN_H_
#define _CLASS_SBOOLEAN_H_

//
//  File SBoolean.H
//
//  September 3 1992 - August 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91190 Gif sur Yvette cedex
//  France
//
//  This file is part of the libSync synchronous library
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
//  Redistribution and use are permitted provided that:
//    - distributions including source files retain this entire copyright
//      notice and comment,
//    - distributions including binaries display the following acknolegment :
//      "This product includes software developped by Supelec
//       and its contributors" in the documentation or other
//      materials provided with the distribution and in all advertising materials
//      mentionning features or use of this software.
//
//     THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
//     WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
//     MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)

#include <iostream.h>

#ifndef __GNUG__
typedef int bool;
const bool true = 1;
const bool false = 0;
#endif

class SBoolean {
  public:
    SBoolean(const bool b = false);
    SBoolean(const SBoolean& sb);
    operator bool() const;
    SBoolean& operator=(const bool);
    friend ostream& operator<<(ostream&, const SBoolean&);
    friend istream& operator>>(istream&, SBoolean&);
  private:
    static const char trueStr[];
    static const char falseStr[];
    bool isTrue;
};

#endif
