//
//  File Templates.C
//
//  September 3 1992 - October 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91190 Gif sur Yvette cedex
//  France
//
//  This file is part of the libSync synchronous library
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
//  Redistribution and use are permitted provided that:
//    - distributions including source files retain this entire copyright
//      notice and comment,
//    - distributions including binaries display the following acknolegment :
//      "This product includes software developped by Supelec
//       and its contributors" in the documentation or other
//      materials provided with the distribution and in all advertising materials
//      mentionning features or use of this software.
//
//     THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
//     WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
//     MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)

// This file is used to trigger template instanciation with cxx

#ifdef __DECCXX
// Instanciation for Digital Equipment Corporation cxx
//

#define _TEMPLATE_INSTANCIATION_

#include "Connect.H"
#include "Synchronous.H"
#include <strstream.h>
#include <Xm/Xm.h>
#include "XInterface.H"
#include "ProtoSim.H"

#include "Array.C"
#include "QSort.C"

// Templates used by libSync
//

#pragma define_template Array<Connect>
#pragma define_template Array<Synchronous>
#pragma define_template Array<strstream>
#pragma define_template Array<struct _WidgetRec>
#pragma define_template Array<XInterface>
#pragma define_template Array<ProtoSim>
#pragma define_template Array<char>
#pragma define_template Array<int>
#pragma define_template QSort<Synchronous>


// Other useful templates

#define _INSTANCIATE_TYPE_ int
#include "CxxInstanciate.H"

#define _INSTANCIATE_TYPE_ float
#include "CxxInstanciate.H"

#define _INSTANCIATE_TYPE_ double
#include "CxxInstanciate.H"

#include "SBoolean.H"
#define _INSTANCIATE_TYPE_ SBoolean
#include "CxxInstanciate.H"

#include "SString.H"
#define _INSTANCIATE_TYPE_ SString
#include "CxxInstanciate.H"

#endif
