#include "clock.H"
#include <strstream.h>
#include <iomanip.h>

void timeToStr(string& str, int h, int m, int s) {
  ostrstream buf;
  buf << setfill('0') << setw(2) << h << ':' << setw(2) << m << ':' << setw(2) << s << ends;
  str = buf.str();
}

int main() {
  cerr << "This program uses a TimeModule to display the time each second." << endl;
  cerr << endl;
  SScheduler sched("tSched");
  Clock tocante("tocante");
  OutputModule<string> display("The time is : ", false);
 
  TimeModule Time("theTime");
 
  tocante.second() << Time.second();
  tocante.minute() << Time.minute();
  tocante.hour() << Time.hour();
  display() << tocante.timestr();
 
  while(sched.tick())
    ;
  
  return 0;
}

