#ifndef _XDISPLAY_H_
#define _XDISPLAY_H_

#include <X11/Xlib.h>

class XDisplay {
  public:
    XDisplay(int opendisp = 1);
    XDisplay(char* dispname, int opendisp = 1);
    ~XDisplay();
    int open();
    void close();
    int screenCount();
    Display* xdisplay() const;
  private:
    Display *xdisp;
    char* name;
};

#endif
