#ifndef _XWINDOW_H_
#define _XWINDOW_H_

#include "XScreen.H"
#include <X11/Xutil.h>

class XWindow {
  public:
    static const int kDefBorder;

    XWindow(const XScreen& s);
    XWindow(const XWindow& parent, XSizeHints& hints, const char* name);
    ~XWindow();
    const XScreen& screen() const;
    const Window xwindow() const;
    void mapRaised() const;
    void unmap() const;
  private:
    const XScreen& sc;
    const Window xwin;
};

#endif
