#include "libSync.H"

int main() {
  cerr << "This is a test program for delays." << endl;
  cerr << "A signal of type integer goes through a delay which" << endl;
  cerr << "has an initial value. The direct output and the delayed" << endl;
  cerr << "output are displayed." << endl << endl;
  cerr << "Initial value of delay is 5" << endl << endl;
  int initVal = 5;
  SScheduler myClock("Clock", true);  // Side-effect: theScheduler = &myClock;
  Delay<int> retard(&initVal);
  InputModule<int> lire("Input: ");
  OutputModule<int> ecrire("Output: ");
  OutputModule<int> delEcrire("Delayed output: ");
  
  retard.input() << lire.input();
  ecrire.probe() << lire.input();
  delEcrire.probe() << retard.output();
  
  
  while(myClock.tick())
    ;

  return 0;
}
