#include "libSync.H"

int main() {
  cerr << "This program tests the TimeModule class." << endl;
  cerr << "A TimeModule is used to display the hour, minute a second" << endl;
  cerr << "signals each time they change." << endl << endl;
  SScheduler sched("tSched");
  OutputModule<int> outH("H: ", false, "; ");
  OutputModule<int> outM("M: ", false, "; ");
  OutputModule<int> outS("S: ", false);
  
  outH << outM << outS;       // We prefer to see the hour, then the minute
                              // and then the second.
	
  TimeModule Time("theTime");

  outH() << Time.hour();
  outM() << Time.minute();
  outS() << Time.second();

  while(sched.tick())
    ;
  
  return 0;
}

