#include "XGC.H"

XGC::XGC(const XWindow& w)
  : wind(w),
    xd(w.screen().display().xdisplay()),
    gc(XCreateGC(w.screen().display().xdisplay(), w.xwindow(), 0, 0))
{}

XGC::~XGC() {
  XFreeGC(xd, gc);
}

void XGC::setForeground(unsigned long pixel) {
  XSetForeground(xd, gc, pixel);
}

void XGC::setBackground(unsigned long pixel) {
  XSetBackground(xd, gc, pixel);
}

GC XGC::xgc() const {
  return gc;
}
