#ifndef _XSCREEN_H_
#define _XSCREEN_H_

#include "XDisplay.H"

class XScreen {
  public:
    XScreen(XDisplay& display);
    XScreen(XDisplay& display, int screenNum);
    const unsigned long whitePixel() const;
    const unsigned long blackPixel() const;
    const XDisplay& display() const;
    const int xscreen() const;
  private:
    const XDisplay& disp;
    const int xs;
    const unsigned long white;
    const unsigned long black;
};

#endif
