#include "libSync.H"

int main() {
  cerr << "This is a test program for input of pure signals." << endl;
  cerr << "A pure input signal goes throuh a delay. The direct" << endl;
  cerr << "output and the delayed output are displayed. The direct" << endl;
  cerr << "output should always be equal to the input, and the" << endl;
  cerr << "delayed output to the previous value of the output." << endl << endl;
  cerr << "Input of pure signals: " << endl;
  cerr << "    '+', \"present\" or \"true\" -> present" << endl;
  cerr << "    '-', \"not present\" or \"false\" -> not present" << endl;
  cerr << "    <RETURN> -> not present, as for typed signals." << endl << endl;
  cerr << "Initial value of delay is " << Present << endl << endl;
  
  SScheduler myClock("clock", true);  // Side-effect: theScheduler = &myClock;
  PureDelay retard(Present);
  PureInModule lire("Input: ");
  PureOutModule ecrire("Output: ");
  PureOutModule delEcrire("Delayed output: ");
  
  retard.input() << lire.input();
  ecrire.probe() << lire.input();
  delEcrire.probe() << retard.output();
  
  while(myClock.tick())
    ;

  return 0;
}
