#include "libSync.H"
#include "brake.H"

int main() {
  SScheduler myClock("Clock", true);  // Side-effect: theScheduler = &myClock;
  Brake frein("Frein");
  
  InputModule<int> pedale("Command : \x02");
  OutputModule<int> machoire("Pression = ");

#ifndef _VX_WORKS_
  ofstream logFile("brake.log");

  pedale.setStreams(cin,cout,logFile);
  machoire.setStreams(cout,logFile);
#endif

  frein.Command() << pedale.input();
  machoire.probe() << frein.Pressure();
  
  while(myClock.tick())
    ;

  return 0;
}

