#ifdef __GNUG__
#include "libSync.H"

template class Array<int>;
template class Array<float>;
template class Array<char>;
template class Array<SString>;
template class Array<Connect>;
template class Array<Synchronous>;
template class Array<ProtoSim>;
template class Array<strstream>;

template class Constant<int>;
template class Constant<float>;
template class Constant<char>;
template class Constant<SString>;

template class Copy<int>;
template class Copy<float>;
template class Copy<char>;
template class Copy<SString>;

template class Delay<int>;
template class Delay<float>;
template class Delay<char>;
template class Delay<SString>;

template class InputModule<int>;
template class InputModule<float>;
template class InputModule<char>;
template class InputModule<SString>;

template class OutputModule<int>;
template class OutputModule<float>;
template class OutputModule<char>;
template class OutputModule<SString>;

template ProtoSim& plug(ProtoSim& x, InSignal<int>& s, const char *typ);
template ProtoSim& plug(ProtoSim& x, InSignal<int>& s, const char *typ, const char *nickname);
template ProtoSim& plug(ProtoSim& x, OutSignal<int>& s, const char *typ);
template ProtoSim& plug(ProtoSim& x, OutSignal<int>& s, const char *typ, const char *nickname);
template ProtoSim& plug(ProtoSim& x, InSignal<float>& s, const char *typ);
template ProtoSim& plug(ProtoSim& x, InSignal<float>& s, const char *typ, const char *nickname);
template ProtoSim& plug(ProtoSim& x, OutSignal<float>& s, const char *typ);
template ProtoSim& plug(ProtoSim& x, OutSignal<float>& s, const char *typ, const char *nickname);
template ProtoSim& plug(ProtoSim& x, InSignal<char>& s, const char *typ);
template ProtoSim& plug(ProtoSim& x, InSignal<char>& s, const char *typ, const char *nickname);
template ProtoSim& plug(ProtoSim& x, OutSignal<char>& s, const char *typ);
template ProtoSim& plug(ProtoSim& x, OutSignal<char>& s, const char *typ, const char *nickname);
template ProtoSim& plug(ProtoSim& x, InSignal<SString>& s, const char *typ);
template ProtoSim& plug(ProtoSim& x, InSignal<SString>& s, const char *typ, const char *nickname);
template ProtoSim& plug(ProtoSim& x, OutSignal<SString>& s, const char *typ);
template ProtoSim& plug(ProtoSim& x, OutSignal<SString>& s, const char *typ, const char *nickname);

template class QSort<int>;
template class QSort<float>;
template class QSort<char>;
template class QSort<SString>;
template class QSort<Synchronous>;

template class Sample<int>;
template class Sample<float>;
template class Sample<char>;
template class Sample<SString>;
template ostream& operator<<(ostream&, Sample<int>&);
template istream& operator>>(istream&, Sample<int>&);
template ostream& operator<<(ostream&, Sample<float>&);
template istream& operator>>(istream&, Sample<float>&);
template ostream& operator<<(ostream&, Sample<char>&);
template istream& operator>>(istream&, Sample<char>&);
template ostream& operator<<(ostream&, Sample<SString>&);
template istream& operator>>(istream&, Sample<SString>&);

template class Signal<int>;
template class Signal<float>;
template class Signal<char>;
template class Signal<SString>;

template class OutSignal<int>;
template class OutSignal<float>;
template class OutSignal<char>;
template class OutSignal<SString>;

template class InSignal<int>;
template class InSignal<float>;
template class InSignal<char>;
template class InSignal<SString>;

#endif
