#ifndef _LIBSYNC_H_
#define _LIBSYNC_H_

//
//  File libSync.H
//
//  September 3 1992 - November 1994
//
//  Frederic Boulanger - boulange@supelec.fr
//  Ecole Superieure d Electricite - Service Informatique
//  Plateau de Moulon - 91190 Gif sur Yvette cedex
//  France
//
//  This file is part of the libSync synchronous library
//  Copyright Supelec, 1992-1994.
//  All Rights Reserved.
//  
//  Redistribution and use are permitted provided that:
//    - distributions including source files retain this entire copyright
//      notice and comment,
//    - distributions including binaries display the following acknolegment :
//      "This product includes software developped by Supelec
//       and its contributors" in the documentation or other
//      materials provided with the distribution and in all advertising materials
//      mentionning features or use of this software.
//
//     THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
//     WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
//     MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
//
//  Author: Frederic Boulanger (Frederic.Boulanger@supelec.fr)

//
// This file holds the complete interface of the libSync.a library
//

#include "common.H"
#include "Array.H"
#include "SBoolean.H"
#include "Composite.H"
#include "Connect.H"
#include "Constant.H"
#include "Copy.H"
#include "Delay.H"
#include "Esterel.H"
#include "IOModule.H"
#include "ProtoSim.H"
#include "QSort.H"
#include "Sample.H"
#include "SScheduler.H"
#include "Signal.H"
#include "SString.H"
#include "Synchronous.H"
#include "TimeModule.H"
#include "XInterface.H"

#endif

// End of file libSync.H
